---
audience: developer
components:
  - functions
function: how-to
---

# Deploying functions

--8<-- "deploy-func-intro.md"

## Prerequisites

- You have a Docker daemon on your local machine. This is already provided if you have used the Quickstart installation.

- You have access to a container registry and are able to push images to this registry. Note that some image registries set newly pushed images to private by default. If you are deploying a function for the first time, you may need to ensure that your images are set to public.

## Procedure

--8<-- "proc-deploying-function.md"
